# - Try to find libgcrypt
# Once done this will define
#
#  DVDREAD_FOUND - system has libgcrypt
#  LIBGCRYPT_INCLUDE_DIR - the libgcrypt include directory
#  LIBGCRYPT_LIBRARIES - Link these to use libgcrypt
#  LIBGCRYPT_DEFINITIONS - Compiler switches required for using libgcrypt
#
# Copyright (c) 2007, Laurent Montel, <montel@kde.org>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#


if ( LIBGCRYPT_INCLUDE_DIR AND LIBGCRYPT_LIBRARIES )
   # in cache already
   SET(libgcrypt_FIND_QUIETLY TRUE)
endif ( LIBGCRYPT_INCLUDE_DIR AND LIBGCRYPT_LIBRARIES )

FIND_PATH(LIBGCRYPT_INCLUDE_DIR NAMES gcrypt.h
)

FIND_LIBRARY(LIBGCRYPT_LIBRARIES NAMES gcrypt
)

include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(libgcrypt DEFAULT_MSG LIBGCRYPT_INCLUDE_DIR LIBGCRYPT_LIBRARIES )

# show the LIBGCRYPT_INCLUDE_DIR and LIBGCRYPT_LIBRARIES variables only in the advanced view
MARK_AS_ADVANCED(LIBGCRYPT_INCLUDE_DIR LIBGCRYPT_LIBRARIES )

