/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "displaycertdialog.h"
#include "klocale.h"
#include <klineedit.h>
#include <QtCore/qstringlist.h>
#include <iostream>

DisplayCertDialog::DisplayCertDialog(QWidget *parent, const char* caption, KVpncConfig *GlobalConfig)
 : KDialog ( parent)
{
	setupUi(this);
// 	setMainWidget ( this );
	this->GlobalConfig = GlobalConfig;
}


DisplayCertDialog::~DisplayCertDialog()
{
}

void DisplayCertDialog::parseCertData()
{
	std::cout << "certdatalist" << qPrintable(CertDataList.join (" ")) << std::endl;
	for ( QStringList::Iterator it = CertDataList.begin(); it != CertDataList.end(); ++it ) {
		if (GlobalConfig->KvpncDebugLevel > 2)
			GlobalConfig->appendLogEntry("[cert data]: "+*it,GlobalConfig->debug);
        	if ((*it).contains("Common Name:"))
			NameLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Department:"))
			DepartmentLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Company:"))
			CompanyLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("State:"))
			StateLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Country:"))
			CountryLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Email:"))
			EmailLineEdit->setText((*it).section(':',1,-1).trimmed());
// 		else if((*it).contains("Thumb Print:"))
// 			ThumbPrintLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Key Size:"))
			KeySizeLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Subject:"))
			SubjectLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Serial #:"))
			SerialLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Issuer:"))
			IssuerLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Not before:"))
			ValidFromLineEdit->setText((*it).section(':',1,-1).trimmed());
		else if((*it).contains("Not after:"))
			ValidToLineEdit->setText((*it).section(':',1,-1).trimmed());
    	}
}

