/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "generateopenvpnkeydialog.h"
#include <kmessagebox.h>
#include <ktemporaryfile.h>
#include <klocale.h>
#include <kdialog.h>
#include <kurlrequester.h>
#include <QtCore/qfile.h>
#include <Qt3Support/q3url.h>
#include <kurl.h>
#include <QtCore/QString>

#include <iostream>
//
GenerateOpenvpnKeyDialog::GenerateOpenvpnKeyDialog(KVpncConfig *GlobalConfig,QWidget *parent, const QString& caption)
		: KDialog( parent )
{
	QWidget *page = new QWidget( this );
	setMainWidget(page);
	setupUi(page);
	this->GlobalConfig=GlobalConfig;
	filename = "";
	genOk = false;


	FilenameUrlrequester->setFilter( "*.key" );

}

GenerateOpenvpnKeyDialog::~GenerateOpenvpnKeyDialog()
{
// 	delete generateOpenvpnKeyProcess;
}

void GenerateOpenvpnKeyDialog::accept()
{

	//filename="/etc/CiscoSystemsVPNClient/Profiles/hs_harz.pcf";
	filename = FilenameUrlrequester->url().prettyUrl();
	if ( !filename.isEmpty() )
	{
		canAccept();
	}

	else
	{
		GlobalConfig->appendLogEntry( i18n("GenerateOpenvpnKeyDialog: empty file name"), GlobalConfig->error);
		KMessageBox::sorry( 0, i18n( "File name can not be empty!" ), i18n( "Empty File Name" ) );
	}
}


void GenerateOpenvpnKeyDialog::canAccept()
{

	/*
		QFile f( filename );
		if ( !f.exists() )
		{
			KMessageBox::information( 0, i18n( "File not found." ), i18n( "No fFile" ) );
	 
			//		emit progress( 100 );
			return ;
		}*/
	generateOpenvpnKeyProcess = new Q3Process(this);
	generateOpenvpnKeyProcess->addArgument(GlobalConfig->pathToOpenvpn);
	generateOpenvpnKeyProcess->addArgument("--genkey");
	generateOpenvpnKeyProcess->addArgument("--secret");
	generateOpenvpnKeyProcess->addArgument(filename);

	connect( generateOpenvpnKeyProcess, SIGNAL( readyReadStderr() ), this, SLOT( readStdErr() ) );
	connect( generateOpenvpnKeyProcess, SIGNAL( readyReadStdout() ), this, SLOT( readStdErr() ) );
	if ( !generateOpenvpnKeyProcess->start(env) )
	{
		KMessageBox::sorry( this, i18n( "Generating of %1 key failed!" ,  QString("openvpn") ) );
		GlobalConfig->appendLogEntry(i18n("\"%1\" start failed!" ,  QString("openvpn") ),GlobalConfig->error);
	}
	else
	{
		GlobalConfig->appendLogEntry( i18n("Generating of %1 key was successful.", QString("openvpn")), GlobalConfig->info);
		genOk = true;
	}

	while (generateOpenvpnKeyProcess->isRunning())
	{
		sleep(1);
	}
	disconnect( generateOpenvpnKeyProcess, SIGNAL( readyReadStderr() ), this, SLOT( readStdErr() ) );
	disconnect( generateOpenvpnKeyProcess, SIGNAL( readyReadStdout() ), this, SLOT( readStdErr() ) );
	if (genOk)
		KMessageBox::information( this, i18n( "Generating the key in \"%1\" was successful." ,  filename ) );
	else
		KMessageBox::sorry( this, i18n( "Generating the key in \"%1\" failed!" ,  filename ) );
	//std::cout << "accept" << std::endl;
	QDialog::accept();
}

void GenerateOpenvpnKeyDialog::readStdErr()
{
	// while ( generateOpenvpnKeyProcess->canReadLineStderr() ) {
	// ProcessMsg_connect = generateOpenvpnKeyProcess->readLineStderr();
	QString ProcessMsg_connect = QString( generateOpenvpnKeyProcess->readStderr() );
	if (ProcessMsg_connect.isEmpty())
		ProcessMsg_connect = QString( generateOpenvpnKeyProcess->readStdout() );

	if ( ProcessMsg_connect.indexOf( "Permission denied", 0  ) > -1 )
	{
		if (GlobalConfig->KvpncDebugLevel > 0 )
			GlobalConfig->appendLogEntry( "[openvpn genkey err] " + ProcessMsg_connect, GlobalConfig->error );
		genOk = false;
		//}
	}
}

#include "generateopenvpnkeydialog.moc"
